dofile("Scripts/mission.lua");
dofile("Scripts/msl.lua");

function PostCreate()
	mission_lua.BasicMissionInitialize()
	AIparts:AddOneTime("preset", 10, func_preset)
	AIparts:AddPeriodic("objects", 10, func_objects, 0 + RandomHalf(10))
	AIparts:AddPeriodic("my_force", 67004, func_my_force, 13 + RandomHalf(100))
	AIparts:AddPeriodic("front", 10, func_front, 0 + RandomHalf(10))
	AIparts:AddPeriodic("z1", 10, func_z1, 0 + RandomHalf(10))
	AIparts:AddPeriodic("z2", 10, func_z2, 0 + RandomHalf(10))
	AIparts:AddPeriodic("z3", 15, func_z3, 0 + RandomHalf(15))
	AIparts:AddPeriodic("z4", 20, func_z4, 0 + RandomHalf(20))
	AIparts:AddPeriodic("z5", 20, func_z5, 0 + RandomHalf(20))
	AIparts:AddPeriodic("z8", 20, func_z8, 0 + RandomHalf(20))
	AIparts:AddPeriodic("z9", 30, func_z9, 0 + RandomHalf(30))
	AIparts:AddPeriodic("scout_sp", 39005, func_scout_sp, 4 + RandomHalf(100))
	AIparts:AddPeriodic("at_z1", 15001, func_at_z1, 0 + RandomHalf(100))
	AIparts:AddPeriodic("at_z2", 15002, func_at_z2, 1 + RandomHalf(100))
	AIparts:AddPeriodic("at_z3", 15003, func_at_z3, 3 + RandomHalf(100))
	AIparts:AddPeriodic("at_z5", 15005, func_at_z5, 0 + RandomHalf(100))
	AIparts:AddPeriodic("at_z8", 15006, func_at_z8, 5 + RandomHalf(100))
	AIparts:AddPeriodic("zone9", 13000, func_zone9, 0 + RandomHalf(100))
	msd_vars = {
		at_z1 = 8,
		at_z11_1 = 33,
		at_z2 = 22,
		at_z3 = 22,
		at_z5 = 51,
		at_z8 = 44,
		boats = 5,
		front = 0,
		my_num = 999,
		new_var = 0,
		new_var1 = 0,
		ob1 = 0,
		ob2 = 0,
		ob3 = 0,
		ob4 = 0,
		ob5 = 0,
		ob6 = 0,
		ob7 = 0,
		ob8 = 0,
		sc_land = 2,
		sc_z1 = 4,
		sc_z2 = 14,
		sc_z2_1 = 14,
		sc_z3 = 16,
		sc_z3_1 = 22,
		sc_z5 = 35,
		sc_z5_1 = 44,
		sc_z5_2 = 44,
		sc_z8 = 55,
		sc_z8_1 = 55,
		sc_z9 = 14,
		z1 = 0,
		z2 = 0,
		z3 = 0,
		z4 = 0,
		z5 = 0,
		z8 = 0,
		z9 = 0,
	}
end

function func_preset()
	do
		groups.CreateTemplate("def", groups.ttypes.defence, { call_for_help = false, call_for_howitzer = true, reinf_lost = 0 })
		groups.CreateTemplate("def_front", groups.ttypes.defence, { call_for_help = false, call_for_howitzer = false, reinf_lost = 0 })
		groups.CreateTemplate("ART_1", groups.ttypes.howitzer,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			groups_list = {"en_attack_z1","en_attack_z11_1","en_attack_z11_2","en_attack_z11_3","en_attack_z2","en_attack_z3","en_attack_z4","en_attack_z5_1","en_attack_z5_2","en_attack_z8_1","en_attack_z8_2","en_def_z1_f","en_def_z2","en_def_z3","en_def_z4","en_def_z5","en_def_z8","en_def_z9","en_defense","en_scout_land","en_scout_z1","en_scout_z1_1","en_scout_z1_2","en_scout_z1_3","en_scout_z1_f","en_scout_z2_1","en_scout_z2_2","en_scout_z2_3","en_scout_z2_z3_m","en_scout_z3_1","en_scout_z3_2","en_scout_z3_3","en_scout_z3_4","en_scout_z4","en_scout_z5_1","en_scout_z5_2","en_scout_z5_3","en_scout_z5_4","en_scout_z5_5","en_scout_z8_1","en_scout_z8_2","en_scout_z8_3","en_scout_z9_1","en_scout_z9_2","forset_defend", }, alert_rad = 5000,
			num_voley = 5, advantage = .00, shot_timeout = 5, rest_time = 1, safe_rad = 0, min_ammo = 1})
		groups.CreateTemplate("at_z1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"front","Zone1", }, wait_time = {10,300, },
			spread_rad = 50, assault = true, group_move = false, circle = true })
		groups.CreateTemplate("at_z11_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z56_1_1","z56_1_2","z56_1_3","z56_1_4","z56_1_5","z11_1_1","z11_1_2", }, wait_time = {1,1,1,1,5,1,100, },
			spread_rad = 50, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z11_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_2_1","z5_3_1","z4_1_1","z3_3_1","z2_3_2","z1_2_2","F_1_1","MMy", }, wait_time = {1,1,1,1,1,1,1,200, },
			spread_rad = 15, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z11_3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_2_1","z5_3_1","z4_1_1","z3_3_1","z3_4_1", }, wait_time = {1,1,1,1,200, },
			spread_rad = 15, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z2_3_1","z2_2_1","z2_1_1","z2_4_1","z2_2_2", }, wait_time = {1,1,1,1,1, },
			spread_rad = 40, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("at_z3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_2_2","z3_3_1","z3_4_1","z3_3_2","z2_3_2","z1_2_1","MMy", }, wait_time = {1,1,1,1,1,1,300, },
			spread_rad = 70, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z4", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z4_1_1","z4_1_2","z4_1_3","z3_4_1", }, wait_time = {1,1,1,999, },
			spread_rad = 15, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z5_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_2_1","z5_4_1","z5_1_1","z5_3_1","z5_2_2","z5_4_2","z5_1_2","z5_3_2", }, wait_time = {1,1,1,1,1,1,1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("at_z5_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_3_1","z4_1_2","z3_2_2","z2_2_1", }, wait_time = {1,1,1,100, },
			spread_rad = 60, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("at_z8_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z56_1_1","z56_1_2","z8_2_1","z8_2_2", }, wait_time = {1,1,1,100, },
			spread_rad = 70, assault = false, group_move = false, circle = false })
		groups.CreateTemplate("at_z8_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_2_1","z5_1_1","z5_5_2","z4_1_1", }, wait_time = {10,10,10,10, },
			spread_rad = 15, assault = true, group_move = true, circle = false })
		groups.CreateTemplate("sc_f", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = false, reinf_lost = 0,
			points = {"F_1_1","F_1_2", }, wait_time = {1,1, },
			spread_rad = 40, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_f1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = false, reinf_lost = 0,
			points = {"F_1_1","F_1_2", }, wait_time = {1,1, },
			spread_rad = 40, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_land", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z11_1_3","z11_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z1_1_1","z1_1_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z1_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z1_2_1","z1_2_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z1_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z1_3_1","z1_3_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("def_z1_f", groups.ttypes.zone_help,
			{ enemy = "Player", call_for_help = true, call_for_howitzer = true, reinf_lost = 2,
			zones = {"front","Zone1", },
			min_enemies = {1,1, },
			times2help = {5,0, },
			help_time = {30,30, },
			ignore_time = {0,0, },
			priority = {0,0, },
			assault = {true,true, },
			group_move = {false,false, },
			home_loc = "z1_2_2" })
		groups.CreateTemplate("sc_z2_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z2_1_1","z2_1_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z2_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z2_2_1","z2_2_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z2_3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z2_3_1","z2_3_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z2_z3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z23_1_1","z23_1_2", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z2_z3_m", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z2_1_1","z3_2_1", }, wait_time = {1,1, },
			spread_rad = 30, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z3_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_1_1","z3_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z3_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_2_1","z3_2_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z3_3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_3_1","z3_3_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z3_4", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_4_1","z3_4_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z4", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z4_1_1","z4_1_2","z4_1_3", }, wait_time = {1,1,10, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z5_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_1_1","z5_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z5_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_2_1","z5_2_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z5_3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_3_1","z5_3_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z5_4", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_4_1","z5_4_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z5_5", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z5_5_1","z5_5_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z8_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z8_1_1","z8_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z8_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z8_2_1","z8_2_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z8_3", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z8_3_1","z8_3_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z9_1", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z9_1_1","z9_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z9_2", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z8_3_2","z9_1_2", }, wait_time = {1,1, },
			spread_rad = 15, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("help_z8", groups.ttypes.zone_help,
			{ enemy = "Player", call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			zones = {"Zone8", },
			min_enemies = {1, },
			times2help = {50, },
			help_time = {40, },
			ignore_time = {0, },
			priority = {0, },
			assault = {true, },
			group_move = {false, },
			home_loc = "z9_1_2" })
		groups.CreateTemplate("help_f", groups.ttypes.zone_help,
			{ enemy = "Player", call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			zones = {"front","Zone1", },
			min_enemies = {1,1, },
			times2help = {50,50, },
			help_time = {100,100, },
			ignore_time = {0,0, },
			priority = {0,0, },
			assault = {false,false, },
			group_move = {false,false, },
			home_loc = "z1_3_2" })
		groups.CreateTemplate("help_z4_z3", groups.ttypes.zone_help,
			{ enemy = "Player", call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			zones = {"Zone3","Zone4", },
			min_enemies = {1,1, },
			times2help = {0,0, },
			help_time = {0,0, },
			ignore_time = {0,0, },
			priority = {0,0, },
			assault = {false,false, },
			group_move = {false,false, },
			home_loc = "Zone4" })
		groups.CreateTemplate("help_z9", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z11_1_1","z11_1_2", }, wait_time = {1,1, },
			spread_rad = 50, assault = false, group_move = false, circle = true })
		groups.CreateTemplate("sc_z1_f", groups.ttypes.patrol,
			{ call_for_help = false, call_for_howitzer = true, reinf_lost = 0,
			points = {"z3_2_1","z1_1_2","F_1_2", }, wait_time = {1,1,1, },
			spread_rad = 50, assault = false, group_move = false, circle = true })
	end
	do
		groups.AssignTemplate("ART_1", "ART_zone1")
		groups.AssignTemplate("ART_1", "en_ART_small_1")
		groups.AssignTemplate("ART_1", "en_ART_small_2")
		groups.AssignTemplate("ART_1", "en_ART_z3")
		groups.AssignTemplate("ART_1", "en_ART_z9")
		groups.AssignTemplate("at_z1", "en_attack_z1")
		groups.AssignTemplate("at_z11_1", "en_attack_z11_1")
		groups.AssignTemplate("at_z11_2", "en_attack_z11_2")
		groups.AssignTemplate("at_z11_3", "en_attack_z11_3")
		groups.AssignTemplate("at_z2", "en_attack_z2")
		groups.AssignTemplate("at_z3", "en_attack_z3")
		groups.AssignTemplate("at_z4", "en_attack_z4")
		groups.AssignTemplate("at_z5_1", "en_attack_z5_1")
		groups.AssignTemplate("at_z5_2", "en_attack_z5_2")
		groups.AssignTemplate("at_z8_1", "en_attack_z8_1")
		groups.AssignTemplate("at_z8_2", "en_attack_z8_2")
		groups.AssignTemplate("def", "en_def_z2")
		groups.AssignTemplate("def", "en_def_z3")
		groups.AssignTemplate("def", "en_def_z4")
		groups.AssignTemplate("def", "en_def_z5")
		groups.AssignTemplate("def", "en_def_z8")
		groups.AssignTemplate("def", "en_def_z9")
		groups.AssignTemplate("def_front", "en_front_defend")
		groups.AssignTemplate("def_z1_f", "forset_defend")
		groups.AssignTemplate("help_f", "en_def_z1_f")
		groups.AssignTemplate("help_z4_z3", "en_help_z4_z3")
		groups.AssignTemplate("help_z8", "en_help_z8")
		groups.AssignTemplate("sc_f", "en_scout_front")
		groups.AssignTemplate("sc_f1", "en_scout_front1")
		groups.AssignTemplate("sc_f2", "en_scout_front2")
		groups.AssignTemplate("sc_land", "en_scout_land")
		groups.AssignTemplate("sc_z1", "en_scout_z1")
		groups.AssignTemplate("sc_z1_1", "en_scout_z1_1")
		groups.AssignTemplate("sc_z1_2", "en_scout_z1_2")
		groups.AssignTemplate("sc_z1_f", "en_scout_z1_f")
		groups.AssignTemplate("sc_z2_1", "en_scout_z2_1")
		groups.AssignTemplate("sc_z2_2", "en_scout_z2_2")
		groups.AssignTemplate("sc_z2_3", "en_scout_z2_3")
		groups.AssignTemplate("sc_z2_z3_m", "en_scout_z2_z3_m")
		groups.AssignTemplate("sc_z3_1", "en_scout_z3_1")
		groups.AssignTemplate("sc_z3_2", "en_scout_z3_2")
		groups.AssignTemplate("sc_z3_3", "en_scout_z3_3")
		groups.AssignTemplate("sc_z3_4", "en_scout_z3_4")
		groups.AssignTemplate("sc_z4", "en_scout_z4")
		groups.AssignTemplate("sc_z5_1", "en_scout_z5_1")
		groups.AssignTemplate("sc_z5_2", "en_scout_z5_2")
		groups.AssignTemplate("sc_z5_3", "en_scout_z5_3")
		groups.AssignTemplate("sc_z5_4", "en_scout_z5_4")
		groups.AssignTemplate("sc_z5_5", "en_scout_z5_5")
		groups.AssignTemplate("sc_z8_1", "en_scout_z8_1")
		groups.AssignTemplate("sc_z8_2", "en_scout_z8_2")
		groups.AssignTemplate("sc_z8_3", "en_scout_z8_3")
		groups.AssignTemplate("sc_z9_1", "en_scout_z9_1")
		groups.AssignTemplate("sc_z9_2", "en_scout_z9_2")
		groups.AssignTemplate("help_z9", "en_help_z9")
		groups.AssignTemplate("sc_z2_z3_m", "en_scout_z1_3")
	end
	do
		mission.OutScreenMessage(103, 5, "0xFF009933")
		AddBonus(1, 3, 2, -1, -1)
		SetPlaneDesc("germany", "bomber", "german/ju_87_stuka.dsc")
		SetPlaneSide(1, "SW")
		AddBonus(1, 2, 2, -1, -1)
		SetPlaneDesc("germany", "transport", "german/ju_52.dsc")
		AddBonus(1, 7, 1, -1, 0)
	end
end

function func_objects()
	if NumPlayerUnitsInZone("Enemy", "front") == 0 and NumPlayerUnitsInZone("Player", "front") > 0 then
		msd_vars.ob1 = 1
		SetObjectiveComplete("objective 1", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "front") > 0 then
		msd_vars.ob1 = 0
		SetObjectiveComplete("objective 1", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone1") == 0 and NumPlayerUnitsInZone("Player", "Zone1") > 0 then
		msd_vars.ob2 = 1
		SetObjectiveComplete("objective 2", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone1") > 0 then
		msd_vars.ob2 = 0
		SetObjectiveComplete("objective 2", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone2") == 0 and NumPlayerUnitsInZone("Player", "Zone2") > 0 then
		msd_vars.ob3 = 1
		SetObjectiveComplete("objective 3", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone2") > 0 then
		msd_vars.ob3 = 0
		SetObjectiveComplete("objective 3", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone3") == 0 and NumPlayerUnitsInZone("Player", "Zone3") > 0 then
		msd_vars.ob4 = 1
		SetObjectiveComplete("objective 4", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone3") > 0 then
		msd_vars.ob4 = 0
		SetObjectiveComplete("objective 4", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone4") == 0 and NumPlayerUnitsInZone("Player", "Zone4") > 0 then
		msd_vars.ob5 = 1
		SetObjectiveComplete("objective 5", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone4") > 0 then
		msd_vars.ob5 = 0
		SetObjectiveComplete("objective 5", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone5") == 0 and NumPlayerUnitsInZone("Player", "Zone5") > 0 then
		msd_vars.ob6 = 1
		SetObjectiveComplete("objective 6", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone5") > 0 then
		msd_vars.ob6 = 0
		SetObjectiveComplete("objective 6", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone8") == 0 and NumPlayerUnitsInZone("Player", "Zone8") > 0 then
		msd_vars.ob7 = 1
		SetObjectiveComplete("objective 7", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone8") > 0 then
		msd_vars.ob7 = 0
		SetObjectiveComplete("objective 7", "Enemy")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone11") == 0 and NumPlayerUnitsInZone("Player", "Zone11") > 0 then
		msd_vars.ob8 = 1
		SetObjectiveComplete("objective 8", "Player")
	end
	if NumPlayerUnitsInZone("Enemy", "Zone11") > 0 then
		msd_vars.ob8 = 0
		SetObjectiveComplete("objective 8", "Enemy")
	end
	if msd_vars.ob1 == 1 and msd_vars.ob2 == 1 and msd_vars.ob3 == 1 and msd_vars.ob4 == 1 and msd_vars.ob5 == 1 and msd_vars.ob6 == 1 and msd_vars.ob7 == 1 and msd_vars.ob8 == 1 then
		PlayerWin("Player")
	end
	if NumPlayerUnits("Player") == 0 then
		PlayerDefeat("Player")
	end
end

function func_my_force()
	if msd_vars.my_num > 1 and msd_vars.my_num <= 999 then
		RunSpawn("Player", {"Ger_scout_car", }, "Spawn_00", "my", "my", true, true, {}, false, 15)
		msd_vars.my_num = msd_vars.my_num - 1
	end
end

function func_front()
	if msd_vars.front == 0 and NumPlayerUnitsInZone("Player", "front") > 0 and NumPlayerUnitsInZone("Enemy", "front") == 0 then
		RunSpawn("Player", {"Ger_attack1", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.front = msd_vars.front + 1
		AIparts:RemovePeriodic("front")
	end
end

function func_z1()
	if msd_vars.z1 == 0 and NumPlayerUnitsInZone("Player", "Zone1") > 0 and NumPlayerUnitsInZone("Enemy", "Zone1") == 0 then
		RunSpawn("Player", {"Ger_amro_inf", }, "Spawn_00", "my", "my", true, true, {}, false, 15)
		RunSpawn("Player", {"Ger_defense", }, "Spawn_00", "my", "my", true, true, {}, false, 15)
		msd_vars.z1 = msd_vars.z1 + 1
		AIparts:RemovePeriodic("z1")
	end
end

function func_z2()
	if msd_vars.z2 == 0 and NumPlayerUnitsInZone("Player", "Zone2") > 0 and NumPlayerUnitsInZone("Enemy", "Zone2") == 0 then
		RunSpawn("Player", {"Ger_attack2", }, "Spawn_00", "my", "my", true, true, {}, false, 15)
		msd_vars.z2 = msd_vars.z2 + 1
		AIparts:RemovePeriodic("z2")
	end
	
end

function func_z3()
	if msd_vars.z3 == 0 and NumPlayerUnitsInZone("Player", "Zone3") > 0 and NumPlayerUnitsInZone("Enemy", "Zone3") == 0 then
		RunSpawn("Player", {"Ger_attack2", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.z3 = msd_vars.z3 + 1
		AIparts:RemovePeriodic("z3")
	end
	
end

function func_z4()
	if msd_vars.z4 == 0 and NumPlayerUnitsInZone("Player", "Zone4") > 0 and NumPlayerUnitsInZone("Enemy", "Zone4") == 0 then
		RunSpawn("Player", {"Ger_supply_arm", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		RunSpawn("Player", {"Ger_supply_arm", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.z4 = msd_vars.z4 + 1
		AIparts:RemovePeriodic("z4")
	end
	
end

function func_z5()
	if msd_vars.z5 == 0 and NumPlayerUnitsInZone("Player", "Zone5") > 0 and NumPlayerUnitsInZone("Enemy", "Zone5") == 0 then
		RunSpawn("Player", {"Ger_attack1", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.z5 = msd_vars.z5 + 1
		AIparts:RemovePeriodic("z5")
	end
	
end

function func_z8()
	if msd_vars.z8 == 0 and NumPlayerUnitsInZone("Player", "Zone8") > 0 and NumPlayerUnitsInZone("Enemy", "Zone8") == 0 then
		RunSpawn("Player", {"Ger_defense", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.z8 = msd_vars.z8 + 1
		AIparts:RemovePeriodic("z8")
	end
	
end

function func_z9()
	if msd_vars.z9 == 0 and NumPlayerUnitsInZone("Player", "Zone9") > 0 and NumPlayerUnitsInZone("Enemy", "Zone9") == 0 then
		RunSpawn("Player", {"Ger_attack1", }, "Spawn_00", "my", "my", true, true, {}, false, 0)
		msd_vars.z9 = msd_vars.z9 + 1
		AIparts:RemovePeriodic("z9")
	end
	
end

function func_scout_sp()
	if NumGroupUnits("en_scout_z1", 0, false, false, false) == 0 and msd_vars.sc_z1 > 0 then
		RunSpawn("Enemy", {"Ru_scout", }, "Spawn_00", "en_scout_z1", "en_scout_z1", true, true, {}, false, 0)
		msd_vars.sc_z1 = msd_vars.sc_z1 - 1
	end
	if NumGroupUnits("en_scout_z2_2", 0, false, false, false) == 0 and msd_vars.sc_z2 > 0 then
		RunSpawn("Enemy", {"Ru_scout_small", }, "Spawn_01", "en_scout_z2_2", "en_scout_z2_2", true, true, {}, false, 0)
		msd_vars.sc_z2 = msd_vars.sc_z2 - 1
	end
	if NumGroupUnits("en_scout_z2_1", 0, false, false, false) == 0 and msd_vars.sc_z2_1 > 0 then
		RunSpawn("Enemy", {"Ru_scout", }, "Spawn_01", "en_scout_z2_1", "en_scout_z2_1", true, true, {}, false, 0)
		msd_vars.sc_z2_1 = msd_vars.sc_z2_1 - 1
	end
	if NumGroupUnits("en_scout_z3_2", 0, false, false, false) == 0 and msd_vars.sc_z3 > 0 then
		RunSpawn("Enemy", {"Ru_scout", }, "Spawn_02", "en_scout_z3_2", "en_scout_z3_2", true, true, {}, false, 0)
		msd_vars.sc_z3 = msd_vars.sc_z3 - 1
	end
	if NumGroupUnits("en_scout_z3_3", 0, false, false, false) == 0 and msd_vars.sc_z3_1 > 0 then
		RunSpawn("Enemy", {"Ru_scout", }, "Spawn_01", "en_scout_z3_3", "en_scout_z3_3", true, true, {}, false, 0)
		msd_vars.sc_z3_1 = msd_vars.sc_z3_1 - 1
	end
	if NumGroupUnits("en_scout_z5_1", 0, false, false, false) == 0 and msd_vars.sc_z5 > 0 then
		RunSpawn("Enemy", {"Ru_scout_small", }, "Spawn_04", "en_scout_z5_1", "en_scout_z5_1", true, true, {}, false, 0)
		msd_vars.sc_z5 = msd_vars.sc_z5 - 1
	end
	if NumGroupUnits("en_scout_z5_3", 0, false, false, false) == 0 and msd_vars.sc_z5_1 > 0 then
		RunSpawn("Enemy", {"Ru_scout_small", }, "Spawn_04", "en_scout_z5_3", "en_scout_z5_3", true, true, {}, false, 0)
		msd_vars.sc_z5_1 = msd_vars.sc_z5_1 - 1
	end
	if NumGroupUnits("en_scout_z5_4", 0, false, false, false) == 0 and msd_vars.sc_z5_2 > 0 then
		RunSpawn("Enemy", {"Ru_scout_small", }, "Spawn_05", "en_scout_z5_4", "en_scout_z5_4", true, true, {}, false, 0)
		msd_vars.sc_z5_2 = msd_vars.sc_z5_2 - 1
	end
	if NumGroupUnits("en_scout_z8_1", 0, false, false, false) == 0 and msd_vars.sc_z8 > 0 then
		RunSpawn("Enemy", {"Ru_boat", }, "Spawn_06", "en_scout_z8_1", "en_scout_z8_1", true, true, {{unload=true, }, {unload_to="z56_1_2", }, {disappear=true, }, {dislocation="boat_dis", }, }, false, 0)
		msd_vars.sc_z8 = msd_vars.sc_z8 - 1
	end
	if NumGroupUnits("en_scout_z8_2", 0, false, false, false) == 0 and msd_vars.sc_z8_1 > 0 then
		RunSpawn("Enemy", {"Ru_boat", }, "Spawn_06", "en_boatss", "en_scout_z8_2", true, true, {{unload_to="land_scout", }, {unload=true, }, {dislocation="boat_dis", }, {disappear=true, }, }, false, 0)
		msd_vars.sc_z8 = msd_vars.sc_z8 - 1
	end
	if NumGroupUnits("en_scout_z9_1", 0, false, false, false) == 0 and msd_vars.sc_z9 > 0 then
		RunSpawn("Enemy", {"Ru_boat", }, "Spawn_06", "en_boatss", "en_scout_z9_1", true, true, {{unload_to="land_scout_11", }, {unload=true, }, {dislocation="boat_dis", }, {disappear=true, }, }, false, 0)
		msd_vars.sc_z9 = msd_vars.sc_z9 - 1
	end
end

function func_at_z1()
	if msd_vars.at_z1 > 0 and NumPlayerUnitsInZone("Enemy", "Zone1") == 0 then
		RunSpawn("Enemy", {"Ru_small_attack", }, "Spawn_00", "en_attack_z1", "en_attack_z1", true, true, {}, false, 0)
		msd_vars.at_z1 = msd_vars.at_z1 - 1
	end
	if msd_vars.at_z1 == 0 then
		AIparts:RemovePeriodic("at_z1")
	end
end

function func_at_z2()
	if msd_vars.at_z2 > 0 and NumPlayerUnitsInZone("Enemy", "Zone2") == 0 then
		RunSpawn("Enemy", {"Ru_large_attack", }, "Spawn_01", "en_attack_z2", "en_attack_z2", true, true, {}, false, 0)
		msd_vars.at_z2 = msd_vars.at_z2 - 1
	end
	if msd_vars.at_z2 == 0 then
		AIparts:RemovePeriodic("at_z2")
	end
	
end

function func_at_z3()
	if msd_vars.at_z3 > 0 and NumPlayerUnitsInZone("Enemy", "Zone3") == 0 then
		RunSpawn("Enemy", {"Ru_defense_pervious", }, "Spawn_02", "en_attack_z3", "en_attack_z3", true, true, {}, false, 0)
		msd_vars.at_z3 = msd_vars.at_z3 - 1
	end
	if msd_vars.at_z3 == 0 then
		AIparts:RemovePeriodic("at_z3")
	end
	
end

function func_at_z5()
	if msd_vars.at_z5 > 0 and NumPlayerUnitsInZone("Enemy", "Zone5") == 0 then
		RunSpawn("Enemy", {"Ru_large_attack", }, "Spawn_04", "en_attack_z5_1", "en_attack_z5_1", true, true, {}, false, 0)
		RunSpawn("Enemy", {"Ru_defense_pervious", }, "Spawn_05", "en_attack_z5_2", "en_attack_z5_2", true, true, {}, false, 0)
		msd_vars.at_z5 = msd_vars.at_z5 - 1
	end
	if msd_vars.at_z5 == 0 then
		AIparts:RemovePeriodic("at_z5")
	end
	
end

function func_at_z8()
	if msd_vars.at_z8 > 0 and NumPlayerUnitsInZone("Enemy", "Zone8") == 0 then
		RunSpawn("Enemy", {"Ru_small_attack", }, "Spawn_05", "en_attack_z8_1", "en_attack_z8_1", true, true, {}, false, 0)
		RunSpawn("Enemy", {"Ru_small_attack", }, "Spawn_04", "en_attack_z8_2", "en_attack_z8_2", true, true, {}, false, 0)
		msd_vars.at_z8 = msd_vars.at_z8 - 1
	end
	if msd_vars.at_z8 == 0 then
		AIparts:RemovePeriodic("at_z8")
	end
	
end

function func_zone9()
	if msd_vars.boats > 0 then
		RunSpawn("Enemy", {"Ru_boat", }, "Spawn_06", "en_boatss", "en_help_z9", true, true, {{unload_to="boat_land", }, {unload=true, }, {dislocation="boat_dis", }, {disappear=true, }, }, false, 0)
		msd_vars.boats = msd_vars.boats - 1
	end
		RunSpawn("Enemy", {"Ru_boat", }, "Spawn_06", "en_boatss", "en_help_z9", true, true, {{unload_to="boat_land", }, {unload=true, }, {dislocation="boat_dis", }, {disappear=true, }, }, false, 0)
	if msd_vars.boats == 0 then
		AIparts:RemovePeriodic("zone9")
	end
end

